﻿<%@ Page Title="Registration Details Test" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="RegistrationDetails.aspx.cs" Inherits="TechSite.Admin.RegistrationDetails" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ScriptContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="/resources/demos/style.css">
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script>
        $(function () {
            $("#MainContent_FormView1_DatePurchasedTextBox").datepicker();
        });
        $(function () {
            $("#MainContent_FormView1_ExpirationDateTextBox").datepicker();
        });
    </script>
    <link rel="stylesheet" type="text/css" href="../Content/newgrid.css">
    <div id="container" style="max-width: 100%; margin: 0 auto;">
        <div id="div_RegBody" style="max-width: 100%; margin: 0 auto; display: block">
            <div id="div_RegDetails" style="display: inline-block; width: 100%;">
                <div class="container-fluid">
                <asp:FormView ID="FormView1" Width="50%" HorizontalAlign="Left" runat="server" DataKeyNames="Id" DataSourceID="SqlDataSource1" EmptyDataText="No data">
                    <EditItemTemplate>
                        
                            <div class="row">
                                <div class="col-md-4"><b>Id:</b></div>
                                <div class="col-md-8">
                                    <asp:Label ID="IdLabel1" runat="server" Text='<%# Bind("Id") %>' />
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Product:</b></div>
                                <div class="col-md-8">
                                    <asp:Label ID="ProductIdTextBox" runat="server" Text='<%# Bind("ProductName") %>' />
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Name:</b></div>
                                <div class="col-md-8">
                                    <asp:TextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>' />
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Address:</b></div>
                                <div class="col-md-8">
                                    <asp:TextBox ID="AddressTextBox" runat="server" Text='<%# Bind("Address") %>' />
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>City:</b></div>
                                <div class="col-md-8">
                                    <asp:TextBox ID="CityTextBox" runat="server" Text='<%# Bind("City") %>' />
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>State:</b></div>
                                <div class="col-md-8">
                                    <asp:TextBox ID="StateTextBox" runat="server" Text='<%# Bind("State") %>' />
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Country:</b></div>
                                <div class="col-md-8">
                                    <asp:TextBox ID="CountryTextBox" runat="server" Text='<%# Bind("Country") %>' />
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Post Code:</b></div>
                                <div class="col-md-8">
                                    <asp:TextBox ID="PostCodeTextBox" runat="server" Text='<%# Bind("PostCode") %>' />
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Serial No:</b></div>
                                <div class="col-md-8">
                                    <asp:TextBox ID="SerialNoTextBox" runat="server" Text='<%# Bind("SerialNo") %>' />
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Phone No:</b></div>
                                <div class="col-md-8">
                                    <asp:TextBox ID="PhoneNoTextBox" runat="server" Text='<%# Bind("PhoneNo") %>' />
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Email Address:</b></div>
                                <div class="col-md-8">
                                    <asp:TextBox ID="EmailAddressTextBox" runat="server" Text='<%# Bind("EmailAddress") %>' Width="200px" />
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>DatePurchased:</b></div>
                                <div class="col-md-8">
                                    <asp:TextBox ID="DatePurchasedTextBox" runat="server" Text='<%# Bind("DatePurchased") %>' />
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Expiration Date:</b></div>
                                <div class="col-md-8">
                                    <asp:TextBox ID="ExpirationDateTextBox" runat="server" Text='<%# Bind("ExpirationDate") %>' />
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-8">
                                    <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update" Text="Update" />
                                    &nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" CausesValidation="False" CommandName="Cancel" Text="Cancel" />
                                </div>
                            </div>
                        
                    </EditItemTemplate>
                    <ItemTemplate>
                        

                            <div class="row">
                                <div class="col-md-4"><b>Id:</b></div>
                                <div class="col-md-8"><asp:Label ID="IdLabel" runat="server" Text='<%# Bind("Id") %>' /></div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Product:</b></div>
                                <div class="col-md-8"><asp:Label ID="ProductIdLabel" runat="server" Text='<%# Bind("ProductName") %>' /></div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Name:</b></div>
                                <div class="col-md-8"><asp:Label ID="NameLabel" runat="server" Text='<%# Bind("Name") %>' /></div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Address:</b></div>
                                <div class="col-md-8"><asp:Label ID="AddressLabel" runat="server" Text='<%# Bind("Address") %>' /></div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>City:</b></div>
                                <div class="col-md-8"><asp:Label ID="CityLabel" runat="server" Text='<%# Bind("City") %>' /></div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>State:</b></div>
                                <div class="col-md-8"><asp:Label ID="StateLabel" runat="server" Text='<%# Bind("State") %>' /></div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Country:</b></div>
                                <div class="col-md-8"><asp:Label ID="CountryLabel" runat="server" Text='<%# Bind("Country") %>' /></div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Post Code:</b></div>
                                <div class="col-md-8"><asp:Label ID="PostCodeLabel" runat="server" Text='<%# Bind("PostCode") %>' /></div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Serial No:</b></div>
                                <div class="col-md-8"><asp:Label ID="SerialNoLabel" runat="server" Text='<%# Bind("SerialNo") %>' /></div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Phone No:</b></div>
                                <div class="col-md-8"><asp:Label ID="PhoneNoLabel" runat="server" Text='<%# Bind("PhoneNo") %>' /></div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Email Address:</b></div>
                                <div class="col-md-8"><asp:Label ID="EmailAddressLabel" runat="server" Text='<%# Bind("EmailAddress") %>' /></div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Date Purchased:</b></div>
                                <div class="col-md-8"><asp:Label ID="DatePurchasedLabel" runat="server" Text='<%# Bind("DatePurchased") %>' /></div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>DateSubmitted:</b></div>
                                <div class="col-md-8"><asp:Label ID="DateSubmittedLabel" runat="server" Text='<%# Bind("DateSubmitted") %>' /></div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Expiration Date:</b></div>
                                <div class="col-md-8"><asp:Label ID="ExpirationDateLabel" runat="server" Text='<%# Bind("ExpirationDate") %>' /></div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"><b>Created By:</b></div>
                                <div class="col-md-8"><asp:Label ID="CreatedByLabel" runat="server" Text='<%# Bind("CreatedBy") %>' /></div>
                            </div>
                            <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit" Text="Edit" />
                        
                    </ItemTemplate>
                </asp:FormView>
                    </div>
                <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:DefaultConnection %>" SelectCommand="SELECT Registration.[Id], Registration.*, P.ProductName AS ProductName FROM [Registration] 
LEFT JOIN [Products] P ON P.Id = Registration.ProductId
WHERE (Registration.[Id] = @Id)" ConflictDetection="CompareAllValues" DeleteCommand="DELETE FROM [Registration] WHERE [Id] = @original_Id AND [Name] = @original_Name AND [Address] = @original_Address AND [City] = @original_City AND [State] = @original_State AND [Country] = @original_Country AND [PostCode] = @original_PostCode AND [ProductId] = @original_ProductId AND [SerialNo] = @original_SerialNo AND [PhoneNo] = @original_PhoneNo AND [EmailAddress] = @original_EmailAddress AND [DatePurchased] = @original_DatePurchased AND [DateSubmitted] = @original_DateSubmitted AND [ExpirationDate] = @original_ExpirationDate AND [CreatedBy] = @original_CreatedBy" InsertCommand="INSERT INTO [Registration] ([Name], [Address], [City], [State], [Country], [PostCode], [ProductId], [SerialNo], [PhoneNo], [EmailAddress], [DatePurchased], [DateSubmitted], [ExpirationDate], [CreatedBy]) VALUES (@Name, @Address, @City, @State, @Country, @PostCode, @ProductId, @SerialNo, @PhoneNo, @EmailAddress, @DatePurchased, @DateSubmitted, @ExpirationDate, @CreatedBy)" OldValuesParameterFormatString="original_{0}" UpdateCommand="UPDATE [Registration] SET [Name] = @Name, [Address] = @Address, [City] = @City, [State] = @State, [Country] = @Country, [PostCode] = @PostCode, [SerialNo] = @SerialNo, [PhoneNo] = @PhoneNo, [EmailAddress] = @EmailAddress, [DatePurchased] = @DatePurchased, [ExpirationDate] = @ExpirationDate WHERE [Id] = @original_Id">
                    <DeleteParameters>
                        <asp:Parameter Name="original_Id" Type="Int32" />
                        <asp:Parameter Name="original_Name" Type="String" />
                        <asp:Parameter Name="original_Address" Type="String" />
                        <asp:Parameter Name="original_City" Type="String" />
                        <asp:Parameter Name="original_State" Type="String" />
                        <asp:Parameter Name="original_Country" Type="String" />
                        <asp:Parameter Name="original_PostCode" Type="String" />
                        <asp:Parameter Name="original_ProductId" Type="Int32" />
                        <asp:Parameter Name="original_SerialNo" Type="String" />
                        <asp:Parameter Name="original_PhoneNo" Type="String" />
                        <asp:Parameter Name="original_EmailAddress" Type="String" />
                        <asp:Parameter Name="original_DatePurchased" Type="DateTime" />
                        <asp:Parameter Name="original_DateSubmitted" Type="DateTime" />
                        <asp:Parameter Name="original_ExpirationDate" Type="DateTime" />
                        <asp:Parameter Name="original_CreatedBy" Type="String" />
                    </DeleteParameters>
                    <InsertParameters>
                        <asp:Parameter Name="Name" Type="String" />
                        <asp:Parameter Name="Address" Type="String" />
                        <asp:Parameter Name="City" Type="String" />
                        <asp:Parameter Name="State" Type="String" />
                        <asp:Parameter Name="Country" Type="String" />
                        <asp:Parameter Name="PostCode" Type="String" />
                        <asp:Parameter Name="ProductId" Type="Int32" />
                        <asp:Parameter Name="SerialNo" Type="String" />
                        <asp:Parameter Name="PhoneNo" Type="String" />
                        <asp:Parameter Name="EmailAddress" Type="String" />
                        <asp:Parameter Name="DatePurchased" Type="DateTime" />
                        <asp:Parameter Name="DateSubmitted" Type="DateTime" />
                        <asp:Parameter Name="ExpirationDate" Type="DateTime" />
                        <asp:Parameter Name="CreatedBy" Type="String" />
                    </InsertParameters>
                    <SelectParameters>
                        <asp:QueryStringParameter DefaultValue="0" Name="id" QueryStringField="id" Type="Int32" />
                    </SelectParameters>
                    <UpdateParameters>
                        <asp:Parameter Name="Name" Type="String" />
                        <asp:Parameter Name="Address" Type="String" />
                        <asp:Parameter Name="City" Type="String" />
                        <asp:Parameter Name="State" Type="String" />
                        <asp:Parameter Name="Country" Type="String" />
                        <asp:Parameter Name="PostCode" Type="String" />
                        <asp:Parameter Name="ProductId" Type="Int32" />
                        <asp:Parameter Name="SerialNo" Type="String" />
                        <asp:Parameter Name="PhoneNo" Type="String" />
                        <asp:Parameter Name="EmailAddress" Type="String" />
                        <asp:Parameter Name="DatePurchased" Type="DateTime" />
                        <asp:Parameter Name="DateSubmitted" Type="DateTime" />
                        <asp:Parameter Name="ExpirationDate" Type="DateTime" />
                        <asp:Parameter Name="Id" Type="Int32" />
                    </UpdateParameters>
                </asp:SqlDataSource>

            </div>
        </div>

        <p>Add a Note:</p>
        <asp:TextBox ID="txtNote" runat="server" Width="100%" Height="29px" MaxLength="1024"></asp:TextBox>
        <br />
        <br />
        <asp:Button ID="btnSubmit" runat="server" Text="Submit Note"
            OnClick="btnSubmit_Click" />
        <br />
        <br />
        <div class="rounded-corners">
            <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AutoGenerateColumns="False" DataSourceID="RegNotesDataSource" AllowCustomPaging="False"
                CssClass="table table-bordered table-hover" PagerStyle-CssClass="pager" PageSize="20" Width="100%">
                <Columns>
                    <asp:BoundField DataField="Note" HeaderText="Note" SortExpression="Note" />
                    <asp:BoundField DataField="UserId" HeaderText="User" SortExpression="UserId" />
                    <asp:BoundField DataField="CreatedDateTime" HeaderText="Date" SortExpression="CreatedDateTime" DataFormatString="{0:d}" />
                </Columns>
                <HeaderStyle ForeColor="#000" BackColor="#e8f3ff" />
            </asp:GridView>
        </div>
        <br />
        <br />
        <asp:SqlDataSource ID="RegNotesDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:DefaultConnection %>" SelectCommand="SELECT [Note], [UserId], [CreatedDateTime] FROM [RegistrationNotes] WHERE ([RegistrationID] = @RegistrationID)">
            <SelectParameters>
                <asp:QueryStringParameter Name="RegistrationID" QueryStringField="id" Type="Int32" />
            </SelectParameters>
        </asp:SqlDataSource>

        <asp:SqlDataSource ID="SqlDataSourceRegFiles" runat="server" ConnectionString="<%$ ConnectionStrings:DefaultConnection %>" SelectCommand="SELECT Id, DateCreated, ContentType, OriginalName FROM RegistrationFiles WHERE ([RegistrationID] = @RegistrationID)">
            <SelectParameters>
                <asp:QueryStringParameter Name="RegistrationID" QueryStringField="id" Type="Int32" />
            </SelectParameters>
        </asp:SqlDataSource>

        <asp:GridView ID="GridViewFiles" runat="server" AllowPaging="True" AutoGenerateColumns="False" DataSourceID="SqlDataSourceRegFiles" AllowCustomPaging="False"
            CssClass="table table-bordered table-hover" PagerStyle-CssClass="pager" PageSize="20" Width="100%">
            <Columns>
                <asp:BoundField DataField="DateCreated" HeaderText="Date" SortExpression="DateCreated" DataFormatString="{0:d}" />
                <asp:BoundField DataField="ContentType" HeaderText="Content" SortExpression="ContentType" />
                <asp:BoundField DataField="OriginalName" HeaderText="File Name" SortExpression="OriginalName" />
                <asp:TemplateField ItemStyle-HorizontalAlign="Center">
                    <ItemTemplate>
                        <asp:LinkButton ID="lnkDownload" runat="server" Text="Download" OnClick="DownloadFile"
                            CommandArgument='<%# Eval("id") %>'></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
            <HeaderStyle ForeColor="#000" BackColor="#e8f3ff" />
        </asp:GridView>

        <p>Upload new file</p>

        <asp:FileUpload ID="fileUpload" accept="image/jpeg,image/gif,image/png,application/pdf,image/x-eps" runat="server" />

        <br />
        <asp:Button ID="btnSubmitFile" runat="server" Text="Submit File & Note"
            OnClick="btnSubmitFile_Click" />
        <br />

        <div class="results">
            <p>
                <asp:PlaceHolder ID="ResultText" runat="server"></asp:PlaceHolder>
                <asp:Image ID="Image1" runat="server" />
        </div>

    </div>
</asp:Content>
