﻿<%@ Page Title="Register your Product" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="TechSite.Registration.Default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
    <script>
        $(function () {
            $("#MainContent_DateOfPurchase").datepicker();
        });
    </script>
    <p>Please fill out the following information and use a valid email address in the event we need to contact you regarding your registration. Incomplete or invalid email addresses may result in rejection of your registration request.</p>
    
    <div class="rTable">
        <div class="rTableRow">
            <div class="rTableCell">
                <asp:Label ID="LabelFN" runat="server" Text="Full Name"></asp:Label>
            </div>
            <div class="rTableCell">
                <asp:TextBox ID="FullName" runat="server"></asp:TextBox>
            </div>
        </div>

        <div class="rTableRow">
            <div class="rTableCell">
                <asp:Label ID="Label1" runat="server" Text="Street Address"></asp:Label>
            </div>
            <div class="rTableCell">
                <asp:TextBox ID="StreetAddress" runat="server" Width="300px"></asp:TextBox>
            </div>
        </div>

        <div class="rTableRow">
            <div class="rTableCell">
                <asp:Label ID="Label2" runat="server" Text="City"></asp:Label>
            </div>
            <div class="rTableCell">
                <asp:TextBox ID="City" runat="server"></asp:TextBox>
            </div>
        </div>

        <div class="rTableRow">
            <div class="rTableCell">
                <asp:Label ID="Label3" runat="server" Text="State"></asp:Label>
            </div>
            <div class="rTableCell">
                <asp:TextBox ID="County" runat="server"></asp:TextBox>
            </div>
        </div>

        <div class="rTableRow">
            <div class="rTableCell">
                <asp:Label ID="Label4" runat="server" Text="Post Code"></asp:Label>
            </div>
            <div class="rTableCell">
                <asp:TextBox ID="PostCode" runat="server"></asp:TextBox>
            </div>
        </div>

        <div class="rTableRow">
            <div class="rTableCell">
                <asp:Label ID="Label5" runat="server" Text="Country Code"></asp:Label>
            </div>
            <div class="rTableCell">
                <asp:TextBox ID="CountryCode" runat="server"></asp:TextBox>
            </div>
        </div>

        <div class="rTableRow">
            <div class="rTableCell">
                <asp:Label ID="Label10" runat="server" Text="E-Mail Address"></asp:Label>
            </div>
            <div class="rTableCell">
                <asp:TextBox ID="EmailAddress" runat="server" Width="300px"></asp:TextBox>
            </div>
        </div>

        <div class="rTableRow">
            <div class="rTableCell">
                <asp:Label ID="Label6" runat="server" Text="Phone No."></asp:Label>
            </div>
            <div class="rTableCell">
                <asp:TextBox ID="PhoneNo" runat="server"></asp:TextBox>
            </div>
        </div>

        <div class="rTableRow">
            <div class="rTableCell">
                <asp:Label ID="Label7" runat="server" Text="Company Name"></asp:Label>
            </div>
            <div class="rTableCell">
                <asp:TextBox ID="CompanyName" runat="server"></asp:TextBox>
            </div>
        </div>

        <div class="rTableRow">
            <div class="rTableCell">
                <asp:Label ID="labelBrand" runat="server" Text="Brand"></asp:Label>
            </div>
            <div class="rTableCell">
                <asp:DropDownList ID="ddlBrand" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlBrand_SelectedIndexChanged" Width="200px" Height="26px">
                </asp:DropDownList>
            </div>
        </div>
        <div class="rTableRow">

                <div class="rTableCell">
                    <asp:Label ID="labelProduct" runat="server" Text="Model"></asp:Label>
                    </div>
                <div class="rTableCell">
                    <asp:DropDownList ID="ddlProduct" AutoPostBack="false" runat="server" Enabled="false" OnSelectedIndexChanged="ddlProduct_SelectedIndexChanged" Width="200px" Height="26px"
                        onchange="SetPlaceHolderText();">
                    </asp:DropDownList>
                </div>

        </div>

        <div class="rTableRow">
            <div class="rTableCell">
                <asp:Label ID="Label12" runat="server" Text="Serial No."></asp:Label>
            </div>
            <div class="rTableCell">
                <asp:TextBox ID="SerialNo" runat="server" placeholder="Select a Product."></asp:TextBox>
                <asp:Label ID="SerialFormatLabel" runat="server" Text="Select a Product."></asp:Label>
            </div>
        </div>

        <div class="rTableRow">
            <div class="rTableCell">
                <asp:Label ID="Label9" runat="server" Text="Date of Purchase"></asp:Label>
            </div>
            <div class="rTableCell">
                <asp:TextBox ID="DateOfPurchase" runat="server"></asp:TextBox>
            </div>
        </div>

        
        <div class="rTableRow">
            <div class="rTableCell">
                <p>Image or PDF of Receipt for proof of purchase</p>
                <asp:FileUpload id="fileUploadReceipt" accept="image/jpeg,image/gif,image/png,application/pdf,image/x-eps" runat="server"/>
            </div>
        </div>
    
    </div>


    <br />
    <asp:Button ID="btnSubmit" runat="server" Text="Submit Registration"
        OnClick="btnSubmit_Click" />

    <div class="results">
        <p>
            <asp:PlaceHolder ID="ResultText" runat="server"></asp:PlaceHolder>
            
    </div>
    <p>Having trouble registering your marker or uploading your receipt? Please fill out the <a href="../Contact.aspx">contact form</a> and let us know.</p>
</asp:Content>
