﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="TechSite.Tech.Default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ScriptContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <link rel="stylesheet" type="text/css" href="../Content/newgrid.css">
    <h2>Registration Management</h2>
    <div class="tab" aria-atomic="False" contenteditable="false" style="width: 100%;">

        <div class="rTableRow" style="width: 100%">
            <div class="rTableCell">
                <asp:Label ID="labelBrand" runat="server" Text="Brand" Font-Bold="true"></asp:Label>
            </div>
            <div class="rTableCell">
                <div class="rTableCell">
                    <asp:DropDownList ID="ddlBrand" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlBrand_SelectedIndexChanged" Width="200px" Height="26px">
                    </asp:DropDownList>
                </div>
            </div>
            <div class="rTableCell">
                <asp:Label ID="labelProduct" runat="server" Text="Model" Font-Bold="true"></asp:Label>
            </div>
            <div class="rTableCell">
                <asp:DropDownList ID="ddlProduct" runat="server" Enabled="false" OnSelectedIndexChanged="ddlProduct_SelectedIndexChanged" Width="200px" Height="26px">
                </asp:DropDownList>
            </div>
            <div class="rTableCell">
                <asp:Label ID="Label1" runat="server" Text="Serial No." Font-Bold="true"></asp:Label>
                &nbsp;
                <asp:TextBox ID="txtSerialNo" runat="server"></asp:TextBox>
            </div>
            <div class="rTableCell">
                <asp:Button ID="btnSearch" runat="server" Text="Search" />
            </div>
        </div>
        <br />

        <div class="rounded-corners">
        <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" DataSourceID="RegistrationDataSource" DataKeyNames="Id"
            Width="100%" PageSize="20" CssClass="table table-bordered table-hover" PagerStyle-CssClass="pager"
             ShowHeaderWhenEmpty="True" OnRowDataBound="GridView1_RowDataBound">
            <Columns>
                <asp:BoundField DataField="Id" HeaderText="Id" SortExpression="Id" ReadOnly="True" ItemStyle-HorizontalAlign="Center">
<ItemStyle HorizontalAlign="Center"></ItemStyle>
                </asp:BoundField>
                <asp:BoundField DataField="ProductIDString" HeaderText="PID" SortExpression="ProductIDString" ReadOnly="True" />
                <asp:BoundField DataField="BrandName" HeaderText="Brand Name" SortExpression="BrandName" />
                <asp:BoundField DataField="ProductName" HeaderText="Product Name" SortExpression="ProductName" />
                <asp:BoundField DataField="SerialNo" HeaderText="Serial No" SortExpression="SerialNo" />
                <asp:BoundField DataField="DatePurchased" HeaderText="Date Purchased" SortExpression="DatePurchased" DataFormatString="{0:d}" />
                <asp:BoundField DataField="Warranty_Status" HeaderText="Warranty Status" SortExpression="Warranty_Status" />
                <asp:TemplateField HeaderText="Action">
                    <ItemTemplate>
                        <asp:HyperLink ID="HyperLink1" runat="server" Text="View" 
        NavigateUrl= '<%# GetLink(Eval("Id")) %>'></asp:HyperLink>
                    </ItemTemplate>

                </asp:TemplateField>

            </Columns>

            <HeaderStyle ForeColor="#000" BackColor="#e8f3ff"/>
            
        </asp:GridView>
        </div>

        <asp:SqlDataSource ID="RegistrationDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:DefaultConnection %>"
            SelectCommand="SELECT [Id], [ProductIDString], [BrandName], [ProductName], [SerialNo], [DatePurchased], [Warranty Status] AS Warranty_Status FROM [vw_RegistrationsListTech]"
            FilterExpression="ProductIdString = '{0}' AND SerialNo = '{1}'">
            <FilterParameters>
                <asp:ControlParameter Name="ProductIdString" ControlID="ddlProduct" PropertyName="SelectedValue" ConvertEmptyStringToNull="false" />
                <asp:ControlParameter Name="SerialNo" ControlID="txtSerialNo" PropertyName="Text" ConvertEmptyStringToNull="false" />
            </FilterParameters>
        </asp:SqlDataSource>


    </div>
    <br />
</asp:Content>
