﻿<%@ Page Title="Admin Center" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="AddRegistration.aspx.cs" Inherits="TechSite.Admin.AddRegistration" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="/resources/demos/style.css">
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script>
        $(function () {
            $("#MainContent_DateOfPurchase").datepicker();
        });
    </script>
    <div id="mainbody">
        <h1>Add New Registration</h1>

        <p>
            This page is used for adding manual entries into the registration system.
        </p>

        <div class="container-fluid">
            <div class="row">
                <div class="col-md-2"><b>Name:</b></div>
                <div class="col-md-10">
                    <asp:TextBox ID="regName" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator0" runat="server" ControlToValidate="regName" Text="*"></asp:RequiredFieldValidator>
                </div>
            </div>
            <br />
            <div class="row">
                <div class="col-md-2"><b>Address:</b></div>
                <div class="col-md-10">
                    <asp:TextBox ID="regAddress" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="regAddress" Text="*"></asp:RequiredFieldValidator>
                </div>
            </div>
            <br />
            <div class="row">
                <div class="col-md-2"><b>City:</b></div>
                <div class="col-md-10">
                    <asp:TextBox ID="regCity" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="regCity" Text="*"></asp:RequiredFieldValidator>
                </div>
            </div>
            <br />
            <div class="row">
                <div class="col-md-2"><b>State:</b></div>
                <div class="col-md-10">
                    <asp:TextBox ID="regState" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="regState" Text="*"></asp:RequiredFieldValidator>
                </div>
            </div>
            <br />
            <div class="row">
                <div class="col-md-2"><b>Post Code:</b></div>
                <div class="col-md-10">
                    <asp:TextBox ID="regPostCode" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="regPostCode" Text="*"></asp:RequiredFieldValidator>
                </div>
            </div>
            <br />
            <div class="row">
                <div class="col-md-2"><b>Country:</b></div>
                <div class="col-md-10">
                    <asp:TextBox ID="regCountry" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ControlToValidate="regCountry" Text="*"></asp:RequiredFieldValidator>
                </div>
            </div>
            <br />
            <div class="row">
                <div class="col-md-2"><b>E-Mail Address:</b></div>
                <div class="col-md-10">
                    <asp:TextBox ID="regEmail" runat="server" Width="250"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ControlToValidate="regEmail" Text="*"></asp:RequiredFieldValidator>
                </div>
            </div>
            <br />
            <div class="row">
                <div class="col-md-2"><b>Phone No.:</b></div>
                <div class="col-md-10">
                    <asp:TextBox ID="regPhone" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ControlToValidate="regPhone" Text="*"></asp:RequiredFieldValidator>
                </div>
            </div>
            <br />
            <div class="row">
                <div class="col-md-2"><b>Company:</b></div>
                <div class="col-md-10">
                    <asp:TextBox ID="regCompany" runat="server"></asp:TextBox>
                </div>
            </div>
            <br />
            <div class="row">
                <div class="col-md-2"><b>Brand:</b></div>
                <div class="col-md-10">
                    <asp:DropDownList ID="ddlBrand" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlBrand_SelectedIndexChanged" Width="200px">
                    </asp:DropDownList>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator8" runat="server" ControlToValidate="ddlBrand" Text="*"></asp:RequiredFieldValidator>
                </div>
            </div>
            <br />
            <div class="row">
                <div class="col-md-2"><b>Model:</b></div>
                <div class="col-md-10">
                    <asp:DropDownList ID="ddlProduct" AutoPostBack="false" runat="server" Enabled="false" OnSelectedIndexChanged="ddlProduct_SelectedIndexChanged" Width="200px"
                        onchange="SetPlaceHolderText();">
                    </asp:DropDownList>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator9" runat="server" ControlToValidate="ddlProduct" Text="*"></asp:RequiredFieldValidator>
                </div>
            </div>
            <br />
            <div class="row">
                <div class="col-md-2"><b>Serial:</b></div>
                <div class="col-md-10">
                    <asp:TextBox ID="regSerial" runat="server" placeholder="Select a Product."></asp:TextBox>
                    <asp:Label ID="SerialFormatLabel" runat="server" Text="Select a Product."></asp:Label>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator10" runat="server" ControlToValidate="regSerial" Text="*"></asp:RequiredFieldValidator>
                </div>
            </div>
            <br />
            <div class="row">
                <div class="col-md-2"><b>Date of Purchase:</b></div>
                <div class="col-md-10">
                    <asp:TextBox ID="DateOfPurchase" runat="server"></asp:TextBox>
                </div>
            </div>
            <br />
            <div class="row">
                <asp:Button ID="btnSubmit" runat="server" Text="Submit" OnClick="btnSubmit_Click" />
            </div>
            <br />
            <div class="results">
                <p>
                    <asp:PlaceHolder ID="ResultText" runat="server"></asp:PlaceHolder>

            </div>
        </div>

    </div>
</asp:Content>
