﻿<%@ Page Title="Registrations" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Registrations.aspx.cs" Inherits="TechSite.Admin.Registrations" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ScriptContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    
    <link rel="stylesheet" type="text/css" href="../Content/newgrid.css">

    <h2>Registration Management</h2>
    <span><a href="AddRegistration.aspx">Add New</a></span>
    <div class="tab" aria-atomic="False" contenteditable="false" style="width: 100%;">

        <div class="rTableRow" style="width: 100%">
            <div class="rTableCell">
                <asp:Label ID="labelBrand" runat="server" Text="Brand" Font-Bold="true"></asp:Label>
                &nbsp;
                   <asp:DropDownList ID="ddlBrand" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlBrand_SelectedIndexChanged" Width="200px" Height="26px">
                    </asp:DropDownList>
                </div>
            <div class="rTableCell">
                <asp:Label ID="labelProduct" runat="server" Text="Model" Font-Bold="true"></asp:Label>
                &nbsp;
                <asp:DropDownList ID="ddlProduct" runat="server" Enabled="false" AutoPostBack="true" OnSelectedIndexChanged="ddlProduct_SelectedIndexChanged" Width="200px" Height="26px"
                    DataValueField="%">
                </asp:DropDownList>
            </div>
            <div class="rTableCell">
                <asp:Label ID="Label1" runat="server" Text="Serial No." Font-Bold="true"></asp:Label>
                &nbsp;
                <asp:TextBox ID="txtSerialNo" runat="server"></asp:TextBox>
            </div>
            <div class="rTableCell">
                <asp:Label ID="NameSearchLabel" runat="server" Text="Name" Font-Bold="true"></asp:Label>
                &nbsp;
                <asp:TextBox ID="txtSearchName" runat="server"></asp:TextBox>
            </div>
            <div class="rTableCell" >
                <asp:Button ID="btnSearch" runat="server" Text="Search" style="display:table-cell; vertical-align:bottom;"/>
            </div>
        </div>
        <div class="rTableRow" style="width: 100%">
            
        </div>
        <br />
        <div class="rounded-corners">
        <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" DataSourceID="RegistrationDataSource" DataKeyNames="Id"
            Width="100%" PageSize="20" CssClass="table table-bordered table-hover" PagerStyle-CssClass="pager"
             ShowHeaderWhenEmpty="True" OnRowDataBound="GridView1_RowDataBound">
            <Columns>
                <asp:BoundField DataField="Id" HeaderText="Id" SortExpression="Id" ReadOnly="True" ItemStyle-HorizontalAlign="Center">
                </asp:BoundField>
                <asp:BoundField DataField="ProductIDString" HeaderText="PID" SortExpression="ProductIDString" ReadOnly="True" />
                <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" />
                <asp:BoundField DataField="City" HeaderText="City" SortExpression="City" />
                <asp:BoundField DataField="State" HeaderText="State" SortExpression="State" />
                <asp:BoundField DataField="BrandName" HeaderText="Brand Name" SortExpression="BrandName" />
                <asp:BoundField DataField="ProductName" HeaderText="Product Name" SortExpression="ProductName" />
                <asp:BoundField DataField="SerialNo" HeaderText="Serial No" SortExpression="SerialNo" />
                <asp:BoundField DataField="DatePurchased" HeaderText="Date Purchased" SortExpression="DatePurchased" DataFormatString="{0:d}" />
                <asp:BoundField DataField="Warranty Status" HeaderText="Warranty Status" SortExpression="Warranty Status" />
                <asp:HyperLinkField DataNavigateUrlFields="Id" DataNavigateUrlFormatString="RegistrationDetails.aspx?id={0}" HeaderText="Action" Text="View" ItemStyle-Font-Bold="true" />
            </Columns>
            <HeaderStyle ForeColor="#000" BackColor="#e8f3ff"/>
            
        </asp:GridView>
        </div>
        <asp:SqlDataSource ID="RegistrationDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:DefaultConnection %>"
            SelectCommand="SELECT [Id], [ProductIDString], [BrandIdString], [Name], [City], [State], [BrandName], [ProductName], [SerialNo], [DatePurchased], [Warranty Status] FROM [vw_RegistrationsListTech]"
            FilterExpression="ProductIDString LIKE '{0}' AND Name LIKE '%{1}%' AND SerialNo LIKE '%{2}%' AND BrandIdString LIKE '{3}'">
            <FilterParameters>
                <asp:ControlParameter Name="ProductIDString" ControlID="ddlProduct" PropertyName="SelectedValue" ConvertEmptyStringToNull="false" />
                <asp:ControlParameter Name="Name" ControlID="txtSearchName" PropertyName="Text" ConvertEmptyStringToNull="false" />
                <asp:ControlParameter Name="SerialNo" ControlID="txtSerialNo" PropertyName="Text" ConvertEmptyStringToNull="false" />
                <asp:ControlParameter Name="BrandIdString" ControlID="ddlBrand" PropertyName="SelectedValue" ConvertEmptyStringToNull="false" />
            </FilterParameters>
        </asp:SqlDataSource></div>
    <br />
</asp:Content>
