﻿<%@ Page Title="Manage User" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="UserEdit.aspx.cs" Inherits="TechSite.Admin.UserEdit" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ScriptContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MainContent" runat="server">
    <h2>User Management</h2>
    <asp:FormView ID="FormView1" runat="server" DataSourceID="SqlDataSource1" DataKeyNames="Id">
        <EditItemTemplate>
            Id:
            <asp:Label ID="IdLabel1" runat="server" Text='<%# Eval("Id") %>' />
            <br />
            Full Name:
            <asp:TextBox ID="FullNameTextBox" runat="server" Text='<%# Bind("FullName") %>' />
            <br />
            Customer No:
            <asp:TextBox ID="CustomerNoTextBox" runat="server" Text='<%# Bind("CustomerNo") %>' />
            <br />
            Email:
            <asp:TextBox ID="EmailTextBox" runat="server" Text='<%# Bind("Email") %>' />
            <br />
            User Name:
            <asp:TextBox ID="UserNameTextBox" runat="server" Text='<%# Bind("UserName") %>' />
            <br />
            <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update" Text="Update" />
            &nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" CausesValidation="False" CommandName="Cancel" Text="Cancel" />
        </EditItemTemplate>
        <ItemTemplate>
            Id:
            <asp:Label ID="IdLabel" runat="server" Text='<%# Eval("Id") %>' />
            <br />
            Full Name:
            <asp:Label ID="FullNameLabel" runat="server" Text='<%# Bind("FullName") %>' />
            <br />
            Customer No:
            <asp:Label ID="CustomerNoLabel" runat="server" Text='<%# Bind("CustomerNo") %>' />
            <br />
            Email:
            <asp:Label ID="EmailLabel" runat="server" Text='<%# Bind("Email") %>' />
            <br />
            User Name:
            <asp:Label ID="UserNameLabel" runat="server" Text='<%# Bind("UserName") %>' />
            <br />
            <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit" Text="Edit" />
        </ItemTemplate>
    </asp:FormView>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:DefaultConnection %>" SelectCommand="SELECT [FullName], [CustomerNo], [Email], [UserName], [Id] FROM [AspNetUsers] WHERE ([Id] = @Id)" UpdateCommand="UPDATE [AspNetUsers] SET [FullName] = @FullName, [CustomerNo] = @CustomerNo, [Email] = @Email, [UserName] = @UserName WHERE [Id] = @Id">
        <SelectParameters>
            <asp:QueryStringParameter DefaultValue="0" Name="Id" QueryStringField="Id" Type="String" />
        </SelectParameters>
        <UpdateParameters>
            <asp:Parameter Name="FullName" Type="String" />
            <asp:Parameter Name="CustomerNo" Type="String" />
            <asp:Parameter Name="Email" Type="String" />
            <asp:Parameter Name="UserName" Type="String" />
            <asp:Parameter Name="Id" Type="String" />
        </UpdateParameters>
    </asp:SqlDataSource>
    <br />
    <h3>Reset Password</h3>
    <div class="form-group">
        <asp:Label runat="server" AssociatedControlID="NewPass" CssClass="col-md-2 control-label">New Password</asp:Label>
        <div class="col-md-10">
            <asp:TextBox runat="server" ID="NewPass" TextMode="Password" CssClass="form-control" />
            <asp:RequiredFieldValidator runat="server" ControlToValidate="NewPass" CssClass="text-danger" ErrorMessage="The password field is required." />
        </div>
    </div>
    <div class="form-group">
        <asp:Label runat="server" AssociatedControlID="ConfirmPass" CssClass="col-md-2 control-label">Confirm Password</asp:Label>
        <div class="col-md-10">
            <asp:TextBox runat="server" ID="ConfirmPass" TextMode="Password" CssClass="form-control" />
            <asp:RequiredFieldValidator runat="server" ControlToValidate="ConfirmPass" CssClass="text-danger" ErrorMessage="The confirm password field is required." />
        </div>
    </div>
    <br />
    <asp:Button ID="ChangePw" runat="server" Text="Change Password" OnClick="ChangePw_Click" />
    <br />
    <p>
        <asp:Label ID="DisplayMessage" runat="server" Visible="false" />
    </p>
</asp:Content>
