﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="RegistrationDetails.aspx.cs" Inherits="TechSite.Tech.RegistrationDetails" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ScriptContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <link rel="stylesheet" type="text/css" href="../Content/newgrid.css">
    <div id="container" style="max-width: 100%; margin: 0 auto;">
        <div id="div_RegBody" style="max-width: 100%; margin: 0 auto; display: block">
            <div id="div_RegDetails" style="display: inline-block; width:100%;">
                <asp:FormView ID="FormView1" runat="server" ItemType="TechSite.Models.vw_RegistrationsList" SelectMethod="GetRegistration" Width="100%">
                    <ItemTemplate>
                        <div style="display: inline-block; width: 40%; vertical-align: top; float:left;">
                            <h1><%#:Item.SerialNo%></h1>
                            <p><b>Brand:</b> <%#:Item.BrandName %></p>
                            <p><b>Product Type:</b> <%#:Item.ProductName %></p>
                            <p><b>Warranty Status:</b> <asp:Label ID="Label3" style="font-weight:bold;" runat="server" Text='<%# WarrantyStatus(Eval("ExpirationDate")) %>'></asp:Label> </p>
                        </div>
                    </ItemTemplate>
                </asp:FormView>
            </div>
        </div>
        <p>Add a Note:</p>
        <asp:TextBox ID="txtNote" runat="server" Width="100%" Height="29px" MaxLength="1024" ></asp:TextBox>
        <br />
        <br />
        <asp:Button ID="btnSubmit" runat="server" Text="Submit Note"
            OnClick="btnSubmit_Click" />
        <br />
        <br />

        <div class="rounded-corners">
        <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AutoGenerateColumns="False" DataSourceID="RegNotesDataSource" AllowCustomPaging="False"
            CssClass="table table-bordered table-hover" PagerStyle-CssClass="pager" PageSize="20" Width="100%">
            <Columns>
                <asp:BoundField DataField="CreatedDateTime" HeaderText="Date" SortExpression="CreatedDateTime" DataFormatString="{0:d}" />
                <asp:BoundField DataField="Note" HeaderText="Note" SortExpression="Note" />
            </Columns>
            <HeaderStyle ForeColor="#000" BackColor="#e8f3ff"/>
        </asp:GridView>
        </div>
        <br />
        <br />
        <asp:SqlDataSource ID="RegNotesDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:DefaultConnection %>" SelectCommand="SELECT [Note], [UserId], [CreatedDateTime] FROM [RegistrationNotes] WHERE ([RegistrationID] = @RegistrationID)">
            <SelectParameters>
                <asp:QueryStringParameter Name="RegistrationID" QueryStringField="id" Type="Int32" />
            </SelectParameters>
        </asp:SqlDataSource>
    </div>
</asp:Content>
